## gnome-shell-extension-impatience 0.4.3

=== debian/changelog ===
gnome-shell-extension-impatience (0.4.3-1) unstable; urgency=medium

  * Initial release (Closes: #842014)

 -- Jonathan Carter <jcarter@linux.com>  Sun, 30 Oct 2016 07:44:35 +0200

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/$1\.tar\.gz/ \
  https://github.com/timbertson/gnome-shell-impatience/tags .*/version-?(\d\S*)\.tar\.gz

## gnome-shell-extension-impatience 0.4.5

=== Makefile ===
all: schemas zip

0: phony
	mkzero-gfxmonk -p impatience -p xdg gnome-shell-impatience.xml

schemas: phony
	cd impatience/schemas && glib-compile-schemas .

zip: phony
	rm impatience@gfxmonk.net.zip
	cd impatience && zip -r ../impatience@gfxmonk.net.zip *

.PHONY: phony

=== debian/changelog ===
gnome-shell-extension-impatience (0.4.5-4) unstable; urgency=medium

  * Move Vcs to salsa.debian.org
  * Update standards version to 4.5.0
  * Upgrade to debhelper-compat (= 12)
  * Update copyright years
  * Use patch from Ubuntu to fix Gnome 3.34 compatibility
    - Breaks backwards compatibility, set minimum gnome-shell version to 3.34

 -- Jonathan Carter <jcc@debian.org>  Tue, 25 Feb 2020 11:00:17 +0200

gnome-shell-extension-impatience (0.4.5-3) unstable; urgency=medium

  * Update compat to level 10
  * Update standards version to 4.1.1
  * Update maintainer e-mail address

 -- Jonathan Carter <jcc@debian.org>  Wed, 18 Oct 2017 09:04:45 +0200

gnome-shell-extension-impatience (0.4.5-2) unstable; urgency=medium

  * Upload to unstable (no changes)

 -- Jonathan Carter <jcarter@linux.com>  Wed, 05 Jul 2017 14:52:42 +0200

gnome-shell-extension-impatience (0.4.5-1) experimental; urgency=medium

  * New upstream release
  * Update watch file to format version 4

 -- Jonathan Carter <jcarter@linux.com>  Sat, 27 May 2017 14:53:53 +0200

=== debian/control ===
Source: gnome-shell-extension-impatience
Section: gnome
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper-compat (=12), libglib2.0-bin
Standards-Version: 4.5.0
Homepage: https://github.com/timbertson/gnome-shell-impatience
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-impatience.git
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-impatience

Package: gnome-shell-extension-impatience
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, gnome-shell (>= 3.34)
Description: speed up the gnome-shell animation speed
 The impatience extension allows you to speed up GNOME Shell
 animation speeds.
 .
 From gnome-tweak-tool you can use a slider to scale the animation
 speed down to any percentage. A speed scale of 1 means normal speed,
 0.5 will result in animations twice as fast, 0.1 will result in
 animations being 10x faster, etc.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# We don't need to build a zip archive, and skipping it
# reduces the need for zip as a build-dep.
# We do need to compile new plugin schemas though since the
# schema path is hardcoded for this plugin.
override_dh_auto_build:
	glib-compile-schemas --strict --targetdir=impatience/schemas/ impatience/schemas

## gnome-shell-extension-impatience 0.4.5+git20210412-e8e132f

=== debian/changelog ===
gnome-shell-extension-impatience (0.4.5+git20210412-e8e132f-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Jonathan Carter ]
  * New upstream snapshot (Closes: #993190)
  * Update standards version to 4.6.1
  * Upgrade to debhelper-compat to level 13
  * Declare Rules-Requires-Root: no
  * Update copyright years
  * Remove patch for GNOME 3.34 that's no longer needed

 -- Jonathan Carter <jcc@debian.org>  Thu, 02 Sep 2021 18:06:05 +0200

## gnome-shell-extension-impatience 0.4.5+git20210930-db933e8

=== debian/changelog ===
gnome-shell-extension-impatience (0.4.5+git20210930-db933e8-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #996064)
  * Fix incorrect standards version (Set to 4.6.0)

 -- Jonathan Carter <jcc@debian.org>  Wed, 20 Oct 2021 14:52:55 +0200

## gnome-shell-extension-impatience 0.4.6

=== debian/changelog ===
gnome-shell-extension-impatience (0.4.6-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Tue, 26 Oct 2021 10:17:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: gnome
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper-compat (=12), libglib2.0-bin
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (=13), libglib2.0-bin
+Standards-Version: 4.6.1
 Homepage: https://github.com/timbertson/gnome-shell-impatience
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-impatience.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-impatience
+Rules-Requires-Root: no
 
 Package: gnome-shell-extension-impatience
 Architecture: all
@@ -19,4 +20,3 @@
  speed down to any percentage. A speed scale of 1 means normal speed,
  0.5 will result in animations twice as fast, 0.1 will result in
  animations being 10x faster, etc.
-

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,3 @@
 # schema path is hardcoded for this plugin.
 override_dh_auto_build:
 	glib-compile-schemas --strict --targetdir=impatience/schemas/ impatience/schemas
-

## gnome-shell-extension-impatience 0.4.8

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	cd impatience/schemas && glib-compile-schemas .
 
 zip: phony
-	rm impatience@gfxmonk.net.zip
+	rm -f impatience@gfxmonk.net.zip
 	cd impatience && zip -r ../impatience@gfxmonk.net.zip *
 
 .PHONY: phony

=== debian/changelog ===
gnome-shell-extension-impatience (0.4.8-3) unstable; urgency=medium

  * Declare support for gnome-shell 44 in metadata.json (Closes: #1041575)

 -- Jonathan Carter <jcc@debian.org>  Tue, 29 Aug 2023 13:00:45 +0200

gnome-shell-extension-impatience (0.4.8-2) unstable; urgency=medium

  * Team upload
  * Add patch to mark compatible with GNOME Shell 43
  * debian/control: Bump maximum gnome-shell to 43 (Closes: #1018271)

 -- Jesús Soto <jesus.soto@canonical.com>  Thu, 08 Sep 2022 16:07:06 -0400

gnome-shell-extension-impatience (0.4.8-1) unstable; urgency=medium

  * New upstream release (Closes: #1008551)
  * Depend on gnome-shell (>= 40), gnome-shell (<< 43)

 -- Jonathan Carter <jcc@debian.org>  Wed, 20 Apr 2022 19:17:10 +0200

gnome-shell-extension-impatience (0.4.6+20220329-a2e06be-2) unstable; urgency=medium

  * Declare minimum gnome-shell version requirement of version 40

 -- Jonathan Carter <jcc@debian.org>  Wed, 30 Mar 2022 12:29:08 +0200

gnome-shell-extension-impatience (0.4.6+20220329-a2e06be-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #1008551)

 -- Jonathan Carter <jcc@debian.org>  Wed, 30 Mar 2022 12:21:50 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: gnome-shell-extension-impatience
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, gnome-shell (>= 3.34)
+Depends: ${shlibs:Depends}, ${misc:Depends}, gnome-shell (>= 40), gnome-shell (<< 45~)
 Description: speed up the gnome-shell animation speed
  The impatience extension allows you to speed up GNOME Shell
  animation speeds.

## gnome-shell-extension-impatience 0.5.2

=== debian/changelog ===
gnome-shell-extension-impatience (0.5.2-3progress8u1) horok; urgency=medium

  * Initial upload to horok.
  * Updating maintainer field.
  * Updating uploaders field.
  * Updating bugs field.
  * Updating vcs fields.
  * Allowing impatience to be enabled system-wide by default.
  * Setting default speed to 0.25.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 22 Jun 2025 20:58:44 +0200

gnome-shell-extension-impatience (0.5.2-3) unstable; urgency=medium

  * Team upload
  * Automatically update supported GNOME Shell versions by parsing metadata.json

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Apr 2025 15:45:20 -0400

gnome-shell-extension-impatience (0.5.2-2) unstable; urgency=medium

  * Add patch to mark compatible with GNOME Shell 48 (Closes: #1096051)
  * Bump maximum GNOME Shell to 48

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Feb 2025 16:04:47 -0500

gnome-shell-extension-impatience (0.5.2-1) unstable; urgency=medium

  * New upstream release
  * Update gnome-shell dependency to include version 47
  * Remove patch for gnome-shell version 47 support
    (no longer needed)

 -- Jonathan Carter <jcc@debian.org>  Mon, 07 Oct 2024 12:23:32 +0200

gnome-shell-extension-impatience (0.5.1-2) unstable; urgency=medium

  * Team upload
  * Add patch to mark compatible with GNOME Shell 47 (Closes: #1079252)
  * Bump maximum GNOME Shell to 47

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 12 Sep 2024 19:08:48 -0400

gnome-shell-extension-impatience (0.5.1-1) unstable; urgency=medium

  * Team upload
  * Release to unstable (Closes: #1052104

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 Jul 2024 08:02:25 -0400

gnome-shell-extension-impatience (0.5.1-1~exp1) experimental; urgency=medium

  * New upstream release
  * Update standards version to 4.7.0
  * Update gnome-shell dependency to include version 46

 -- Jonathan Carter <jcc@debian.org>  Wed, 24 Apr 2024 10:32:19 +0200

gnome-shell-extension-impatience (0.5.0-1) experimental; urgency=medium

  * New upstream release
  * Update gnome-shell dependency for version 45
    (Closes: #1052104, not yet in unstable, uploading to experimental)
  * Remove debian/patches (no longer needed)

 -- Jonathan Carter <jcc@debian.org>  Wed, 15 Nov 2023 19:26:48 +0200

=== debian/control ===
Source: gnome-shell-extension-impatience
Section: gnome
Priority: optional
Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
XSBC-Original-Uploaders:
 Jonathan Carter <jcc@debian.org>,
Bugs: mailto:maintainers@lists.progress-linux.org
Build-Depends:
 debhelper-compat (=13),
Build-Depends-Indep:
 libglib2.0-bin,
 python3,
Standards-Version: 4.7.0
Homepage: https://github.com/timbertson/gnome-shell-impatience
Vcs-Browser: https://git.progress-linux.org/horok/gnome-shell-extension-impatience
Vcs-Git: https://git.progress-linux.org/horok/gnome-shell-extension-impatience
XSBC-Original-Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-impatience
XSBC-Original-Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-impatience.git
Rules-Requires-Root: no

Package: gnome-shell-extension-impatience
Architecture: all
Depends:
 gnome-shell (>= ${gnome:MinimumVersion}~),
 gnome-shell (<< ${gnome:MaximumVersion}~),
 ${misc:Depends},
Description: speed up the gnome-shell animation speed
 The impatience extension allows you to speed up GNOME Shell
 animation speeds.
 .
 From gnome-tweak-tool you can use a slider to scale the animation
 speed down to any percentage. A speed scale of 1 means normal speed,
 0.5 will result in animations twice as fast, 0.1 will result in
 animations being 10x faster, etc.

## gnome-shell-extension-impatience 0.5.3

=== debian/changelog ===
gnome-shell-extension-impatience (0.5.3-1) unstable; urgency=medium

  * New upstream release
  * Remove gnome-48 patch (no longer needed)

 -- Jonathan Carter <jcc@debian.org>  Tue, 12 Aug 2025 20:47:36 +0200

=== debian/control ===
Source: gnome-shell-extension-impatience
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders:
 Jonathan Carter <jcc@debian.org>,
Build-Depends:
 debhelper-compat (=13),
Build-Depends-Indep:
 libglib2.0-bin,
 python3,
Standards-Version: 4.7.0
Homepage: https://github.com/timbertson/gnome-shell-impatience
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-impatience.git
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-impatience
Rules-Requires-Root: no

Package: gnome-shell-extension-impatience
Architecture: all
Depends:
 gnome-shell (>= ${gnome:MinimumVersion}~),
 gnome-shell (<< ${gnome:MaximumVersion}~),
 ${misc:Depends},
Description: speed up the gnome-shell animation speed
 The impatience extension allows you to speed up GNOME Shell
 animation speeds.
 .
 From gnome-tweak-tool you can use a slider to scale the animation
 speed down to any percentage. A speed scale of 1 means normal speed,
 0.5 will result in animations twice as fast, 0.1 will result in
 animations being 10x faster, etc.
